MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023709Open CASCADE[OCCT] OCCT:Visualizationpublic2013-01-17 15:142015-04-09 12:51
Reporteraba 
Assigned Toaba 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.4 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0023709: Redesign of hlrtest command
DescriptionDue to V2d viewer removing hlrtest command from ViewerTest is to be changed to use several 3d viewers instead of additional 2d viewer.
Steps To Reproducerestore solidcone.brep ss
vinit
vdisplay ss
vrotate 35 0 0
vfit
vhlr on
vhlrtype algo ss
set only_screen 1

restore surfcone.brep ff
vinit
vdisplay ff
vrotate 35 0 0
vfit
vhlr on
vhlrtype algo ff
set only_screen 1
TagsNo tags attached.
Test case numberbugs vis bug23709_1 bug23709_2 bug23709_3 bug23709_4
Attached Files? file icon solidcone.brep (1,372,010 bytes) 2013-04-12 15:20
? file icon surfcone.brep (847 bytes) 2013-04-12 15:20

- Relationships
related to 0023663closedaba Open CASCADE Removing 2D viewer library 
related to 0023670closedaba Open CASCADE Support for multiple 3D views 
has duplicate 0023707closedsan Open CASCADE New Draw command for testing of HLR algorithm 
related to 0024388closedbugmaster Open CASCADE Option to enable visualization of hidden lines in DRAW 
related to 0025813closedbugmaster Community regression in Hidden Line Removal 

-  Notes
(0024080)
aba (developer)
2013-04-10 20:07

The Git branch CR23709_1 is ready to be reviewed.

Dear san, please review.
(0024111)
san (developer)
2013-04-12 13:28

Branch CR23709_1 reviewed without remarks, ready for testing.
(0024112)
san (developer)
2013-04-12 13:33

Dear bugmaster,

Please wait for jgv to add her changes to branch CR23709_1.
(0024117)
jgv (developer)
2013-04-12 15:02

Reviewed.
(0024130)
apn (administrator)
2013-04-15 12:41

Dear BugMaster,

Branch CR23709_1 (and products from GIT master) was compiled on Linux and Windows platforms and tested without rebase.
SHA-1: 9e499d606e3ab4652ebdc17aec58e8cd21fa3861

Number of compiler warnings:

occt component :
Linux: 2 (2 on master)
Windows: 11 (11 on master)

products component :
Linux: 0 (0 on master)
Windows: 50 (50 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
bugs vis bug23709_1 bug23709_2 bug23709_3 bug23709_4 - OK

Testing on Linux:
Total MEMORY difference: 244490476 / 244798244
Total CPU difference: 13167.459999999943 / 19941.349999999733

Testing on Windows:
Total MEMORY difference: 356121856 / 355693616
Total CPU difference: 16995.734375 / 20830.796875

There are not serious differences in images found by testdiff.

- Related Changesets
occt: master 0a768f56
Timestamp: 2013-04-15 14:06:26
Author: aba
Details ] Diff ]
0023709: Redesign of hlrtest command: vhlr and vhlrtype commands were added; hlr type changing was added to AIS_Shape, AIS_Drawer and Prs3d_Drawer
QuickHLR and ExactHLR items removed from AIS_DisplayMode enumeration as unused.
Minor coding style and CDL documentation corrections applied.
Compiler error in AIS_Shape::SetTypeOfHLR() corrected
Corrections in HLR algorithm.
Compiler error in AIS_Shape::TypeOfHLR() corrected
Added test cases bugs vis bug23709_1/bug23709_2/bug23709_3/bug23709_4
mod - src/AIS/AIS.cdl Diff ] File ]
mod - src/AIS/AIS_Drawer.cdl Diff ] File ]
mod - src/AIS/AIS_Drawer.cxx Diff ] File ]
mod - src/AIS/AIS_Drawer.lxx Diff ] File ]
mod - src/AIS/AIS_InteractiveObject.cdl Diff ] File ]
mod - src/AIS/AIS_Shape.cdl Diff ] File ]
mod - src/AIS/AIS_Shape.cxx Diff ] File ]
mod - src/AIS/AIS_Shape.lxx Diff ] File ]
mod - src/HLRBRep/HLRBRep.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_Curve.cdl Diff ] File ]
mod - src/HLRBRep/HLRBRep_Curve.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_Curve.lxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_Data.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_ShapeToHLR.cxx Diff ] File ]
mod - src/Prs3d/Prs3d.cdl Diff ] File ]
mod - src/Prs3d/Prs3d_Drawer.cdl Diff ] File ]
mod - src/Prs3d/Prs3d_Drawer.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
add - tests/bugs/vis/bug23709_1 Diff ] File ]
add - tests/bugs/vis/bug23709_2 Diff ] File ]
add - tests/bugs/vis/bug23709_3 Diff ] File ]
add - tests/bugs/vis/bug23709_4 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-01-17 15:14 aba New Issue
2013-01-17 15:14 aba Assigned To => mkv
2013-01-17 15:15 aba Relationship added related to 0023663
2013-01-17 15:15 aba Relationship added related to 0023670
2013-01-17 15:16 aba Relationship added related to 0023707
2013-01-23 18:18 san Assigned To mkv => san
2013-03-12 16:04 san Assigned To san => aba
2013-03-12 16:04 san Status new => assigned
2013-03-12 16:04 san Target Version 6.6.0 => 6.7.0
2013-04-10 20:07 aba Note Added: 0024080
2013-04-10 20:07 aba Assigned To aba => san
2013-04-10 20:07 aba Status assigned => resolved
2013-04-11 11:29 san Category OCCT:DRAW => OCCT:Visualization
2013-04-11 11:29 san Target Version 6.7.0 => 6.6.0
2013-04-12 13:28 san Note Added: 0024111
2013-04-12 13:28 san Assigned To san => bugmaster
2013-04-12 13:28 san Status resolved => reviewed
2013-04-12 13:33 san Note Added: 0024112
2013-04-12 13:33 san Assigned To bugmaster => jgv
2013-04-12 13:33 san Status reviewed => assigned
2013-04-12 15:02 jgv Status assigned => resolved
2013-04-12 15:02 jgv Note Added: 0024117
2013-04-12 15:02 jgv Status resolved => reviewed
2013-04-12 15:20 jgv File Added: solidcone.brep
2013-04-12 15:20 jgv File Added: surfcone.brep
2013-04-12 15:31 apn Assigned To jgv => apn
2013-04-12 15:42 jgv Steps to Reproduce Updated View Revisions
2013-04-12 17:44 san Relationship deleted related to 0023707
2013-04-12 17:44 san Relationship added has duplicate 0023707
2013-04-15 12:41 apn Note Added: 0024130
2013-04-15 12:42 apn Test case number => bugs vis bug23709_1 bug23709_2 bug23709_3 bug23709_4
2013-04-15 12:42 apn Assigned To apn => bugmaster
2013-04-15 12:42 apn Status reviewed => tested
2013-04-16 15:16 aba Changeset attached => occt master 0a768f56
2013-04-16 15:16 aba Assigned To bugmaster => aba
2013-04-16 15:16 aba Status tested => verified
2013-04-16 15:16 aba Resolution open => fixed
2013-04-23 13:34 aiv Status verified => closed
2013-04-29 15:24 aiv Fixed in Version => 6.6.0
2013-11-20 18:21 san Relationship added related to 0024388
2015-04-09 12:51 msv Relationship added related to 0025813


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker